SDL_windowsjoystick_c.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_events.h"`
`#include "../SDL_sysjoystick.h"`
`#include "../../core/windows/SDL_windows.h"`
`#include "../../core/windows/SDL_directx.h"`
Include dependency graph for SDL_windowsjoystick_c.h:

Go to the source code of this file.

## Data Structures

struct | JoyStick_DeviceData
struct | input_t
struct | recDevice

## Macros

#define | MAX_INPUTS 256 /* each joystick can have up to 256 inputs */

## Enumerations

enum | Type { BUTTON, AXIS, HAT }

## Functions

void | SDL_SYS_AddJoystickDevice (JoyStick_DeviceData *device)

## Variables

JoyStick_DeviceData * | SYS_Joystick

## Macro Definition Documentation

#define MAX_INPUTS 256 /* each joystick can have up to 256 inputs */

Definition at line 28 of file SDL_windowsjoystick_c.h.

## Enumeration Type Documentation

enum Type

Enumerator
BUTTON |
AXIS |
HAT |

Definition at line 45 of file SDL_windowsjoystick_c.h.

{
BUTTON,
AXIS,
HAT
} Type;
AXIS
Definition: SDL_windowsjoystick_c.h:48
Type
Type
Definition: SDL_windowsjoystick_c.h:45
BUTTON
Definition: SDL_windowsjoystick_c.h:47
HAT
Definition: SDL_windowsjoystick_c.h:49

## Function Documentation

void SDL_SYS_AddJoystickDevice | ( | JoyStick_DeviceData * | device | ) |

## Variable Documentation

JoyStick_DeviceData* SYS_Joystick